package types

import (
	"net/http"

	"wartank/pkg/components/safebool"
)

/*
	Интерфейс к сетевому клиенту
*/

// IBotNet -- интерфейс к сетевому клиенту
type IBotNet interface {
	// IsOnline -- возвращает признак подключенности к интернету
	IsOnline() *safebool.SafeBool
	Conn() *http.Client
	Cookie() IBotCookie
	Net() INetClient
	// Login -- пытается зайти по сети
	Login() error
}
